package com.vandyo.sentry.core.collectionMachine;

import com.vandyo.sentry.core.dto.ErrStatus;

import java.util.Map;

public abstract class DataClearDealer implements CollectionDealer{
    @Override
    public String formatData(Map<String, Map<ErrStatus, Long>> data) {
        StringBuilder builder = new StringBuilder();
        builder.append("接口报错：\n");
        for(Map.Entry<String,Map<ErrStatus, Long>> entry:data.entrySet()){
            builder.append(entry.getKey()+" :\n");
            Map<ErrStatus, Long> value = entry.getValue();
            for(Map.Entry<ErrStatus,Long> i:value.entrySet()){
                builder.append("\t"+i.getKey().getDes()+":"+i.getValue()+"次。\n");
            }
        }
        return builder.toString();
    }
}
